<?xml version="1.0" encoding="utf-8"?>
<t:layoutdefinition xmlns:t="http://www.CaptainCasa.com/controllibrary/t" >

<t:beanprocessing id="g_1" beanbinding="#{d.PanelConfigBean}" />
<t:row id="g_5" />
<t:rowbodypane id="g_4" >
<t:row id="g_13" >
<t:splitpane id="g_14" dividerlocation="400" dividersize="2" height="160" orientation="horizontal" width="100%" withwritebackdividerlocation="true" >
<t:splitpanesplit id="g_15" >
<t:row id="g_7" >
<t:coldistance id="g_2" />
<t:label id="g_3" font="size:16" text="Koordinaten Panel Matirx:" />
<t:coldistance id="g_6" />
<t:label id="g_10" />
<t:coldistance id="g_8" />
</t:row>
<t:rowdistance id="g_42" />
<t:row id="g_9" >
<t:coldistance id="g_43" />
<t:label id="g_11" text="Anzahl Panels:" width="100" />
<t:field id="g_12" actionListener="#{d.PanelConfigBean.onPanelsCreate}" align="center" flush="true" text="#{d.PanelConfigBean.anzahlPanels}" width="100" />
<t:coldistance id="g_30" width="15" />
<t:button id="g_31" text="Panels Auslesen" width="140" />
</t:row>
<t:rowdistance id="g_24" />
<t:row id="g_25" >
<t:coldistance id="g_44" />
<t:label id="g_45" text="Matrix X:" width="100" />
<t:field id="g_17" align="center" flush="true" text="#{d.PanelConfigBean.matrixX}" width="100" />
</t:row>
<t:rowdistance id="g_18" />
<t:row id="g_19" >
<t:coldistance id="g_20" />
<t:label id="g_21" text="Matrix Y:" width="100" />
<t:field id="g_22" align="center" flush="true" text="#{d.PanelConfigBean.matrixY}" width="100" />
<t:coldistance id="g_33" width="15" />
<t:button id="g_34" actionListener="#{d.PanelConfigBean.onCheckAndCreate}" text="Check And Create" width="140" />
</t:row>
<t:rowdistance id="g_27" height="15" />
</t:splitpanesplit>
<t:splitpanesplit id="g_16" >
<t:rowdistance id="g_47" />
<t:row id="g_48" >
<t:coldistance id="g_49" />
<t:label id="g_50" font="size:16" text="Nanoleaf Informationen:" />
</t:row>
<t:rowdistance id="g_52" />
<t:row id="g_53" >
<t:coldistance id="g_23" />
<t:label id="g_54" text="Hostname" width="200" />
<t:coldistance id="g_56" />
<t:label id="g_26" text="IP Adresse" width="200" />
<t:coldistance id="g_57" />
<t:label id="g_28" text="Port" width="80" />
</t:row>
<t:rowdistance id="g_29" />
<t:row id="g_60" >
<t:coldistance id="g_61" />
<t:field id="g_32" text="#{d.PanelConfigBean.hostname}" width="200" />
<t:coldistance id="g_62" />
<t:field id="g_63" text="#{d.PanelConfigBean.ipAdresse}" width="200" />
<t:coldistance id="g_35" />
<t:field id="g_36" text="#{d.PanelConfigBean.port}" width="80" />
</t:row>
<t:rowdistance id="g_38" height="15" />
<t:row id="g_37" >
<t:coldistance id="g_39" />
<t:label id="g_41" text="Nanoleaf Token" width="200" />
</t:row>
<t:rowdistance id="g_64" />
<t:row id="g_65" >
<t:coldistance id="g_66" />
<t:field id="g_67" enabled="false" text="#{d.PanelConfigBean.nanoleafToken}" width="250" />
<t:coldistance id="g_74" />
<t:button id="g_46" text="Connect" width="80" />
<t:coldistance id="g_83" />
<t:button id="g_84" actionListener="#{d.PanelConfigBean.onPanelsOn}" background="#00ff00" text="ON" width="60" />
<t:coldistance id="g_85" />
<t:button id="g_86" actionListener="#{d.PanelConfigBean.onPanelsOff}" background="#ff0000" text="OFF" width="60" />
</t:row>
</t:splitpanesplit>
</t:splitpane>
</t:row>
<t:rowline id="g_58" />
<t:rowdistance id="g_68" height="15" />
<t:row id="g_69" >
<t:scrollpane id="g_76" height="100" width="100%" >
<t:rowdistance id="g_79" />
<t:row id="g_77" >
<t:dynamiccontent id="g_80" contentbinding="#{d.PanelConfigBean.dynPanelList}" />
</t:row>
<t:rowdistance id="g_81" />
</t:scrollpane>
</t:row>
<t:rowdistance id="g_71" height="15" />
<t:rowline id="g_72" />
<t:row id="g_51" >
<t:pane id="g_87" >
<t:row id="g_88" />
<t:rowdistance id="g_91" height="50%" />
<t:rowdynamiccontent id="g_89" contentbinding="#{d.PanelConfigBean.dynNanoleafLayout}" />
</t:pane>
</t:row>
</t:rowbodypane>

</t:layoutdefinition>